
<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>pycity_scheduling &#8212; pycity_scheduling v1.0.1 documentation</title>
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <link rel="stylesheet" href="_static/classic.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/doctools.js"></script>
    <script src="_static/language_data.js"></script>
    <script async="async" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.7/latest.js?config=TeX-AMS-MML_HTMLorMML"></script>
    <script type="text/x-mathjax-config">MathJax.Hub.Config({"extensions": ["tex2jax.js"], "jax": ["input/TeX", "output/HTML-CSS"]})</script>
    
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="pycity_scheduling.algorithms package" href="pycity_scheduling.algorithms.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="pycity_scheduling.algorithms.html" title="pycity_scheduling.algorithms package"
             accesskey="N">next</a> |</li>
        <li class="nav-item nav-item-0"><a href="#">pycity_scheduling v1.0.1 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">pycity_scheduling</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="pycity-scheduling">
<h1>pycity_scheduling<a class="headerlink" href="#pycity-scheduling" title="Permalink to this headline">¶</a></h1>
<a class="reference internal image-reference" href="_images/pycity_scheduling.png"><img alt="_images/pycity_scheduling.png" class="align-right" src="_images/pycity_scheduling.png" style="width: 141.75px; height: 106.35px;" /></a>
<p>The pycity_scheduling documentation</p>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="pycity_scheduling.algorithms.html">pycity_scheduling.algorithms package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.algorithms.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.algorithm">pycity_scheduling.algorithms.algorithm module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.central_optimization_algorithm">pycity_scheduling.algorithms.central_optimization_algorithm module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.dual_decomposition_algorithm">pycity_scheduling.algorithms.dual_decomposition_algorithm module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.exchange_admm_algorithm">pycity_scheduling.algorithms.exchange_admm_algorithm module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.local_optimization_algorithm">pycity_scheduling.algorithms.local_optimization_algorithm module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.stand_alone_optimization_algorithm">pycity_scheduling.algorithms.stand_alone_optimization_algorithm module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms">Module contents</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="pycity_scheduling.classes.html">pycity_scheduling.classes package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.apartment">pycity_scheduling.classes.apartment module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.battery">pycity_scheduling.classes.battery module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.boiler">pycity_scheduling.classes.boiler module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.building">pycity_scheduling.classes.building module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.building_energy_system">pycity_scheduling.classes.building_energy_system module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.chiller">pycity_scheduling.classes.chiller module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.city_district">pycity_scheduling.classes.city_district module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.combined_heat_power">pycity_scheduling.classes.combined_heat_power module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.curtailable_load">pycity_scheduling.classes.curtailable_load module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.deferrable_load">pycity_scheduling.classes.deferrable_load module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.electrical_entity">pycity_scheduling.classes.electrical_entity module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.electrical_heater">pycity_scheduling.classes.electrical_heater module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.electrical_vehicle">pycity_scheduling.classes.electrical_vehicle module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.entity_container">pycity_scheduling.classes.entity_container module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.environment">pycity_scheduling.classes.environment module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.fixed_load">pycity_scheduling.classes.fixed_load module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.heat_pump">pycity_scheduling.classes.heat_pump module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.optimization_entity">pycity_scheduling.classes.optimization_entity module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.photovoltaic">pycity_scheduling.classes.photovoltaic module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.prices">pycity_scheduling.classes.prices module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.space_cooling">pycity_scheduling.classes.space_cooling module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.space_heating">pycity_scheduling.classes.space_heating module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.thermal_cooling_storage">pycity_scheduling.classes.thermal_cooling_storage module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.thermal_entity_cooling">pycity_scheduling.classes.thermal_entity_cooling module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.thermal_entity_heating">pycity_scheduling.classes.thermal_entity_heating module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.thermal_heating_storage">pycity_scheduling.classes.thermal_heating_storage module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.timer">pycity_scheduling.classes.timer module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.weather">pycity_scheduling.classes.weather module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.wind_energy_converter">pycity_scheduling.classes.wind_energy_converter module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes">Module contents</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="pycity_scheduling.util.html">pycity_scheduling.util package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.util.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.util.html#module-pycity_scheduling.util.debug">pycity_scheduling.util.debug module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.util.html#module-pycity_scheduling.util.factory">pycity_scheduling.util.factory module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.util.html#module-pycity_scheduling.util.generic_constraints">pycity_scheduling.util.generic_constraints module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.util.html#module-pycity_scheduling.util.metric">pycity_scheduling.util.metric module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.util.html#module-pycity_scheduling.util.plot_schedules">pycity_scheduling.util.plot_schedules module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.util.html#module-pycity_scheduling.util.write_schedules">pycity_scheduling.util.write_schedules module</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.util.html#module-pycity_scheduling.util">Module contents</a></li>
</ul>
</li>
</ul>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Next topic</h4>
  <p class="topless"><a href="pycity_scheduling.algorithms.html"
                        title="next chapter">pycity_scheduling.algorithms package</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/index.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="pycity_scheduling.algorithms.html" title="pycity_scheduling.algorithms package"
             >next</a> |</li>
        <li class="nav-item nav-item-0"><a href="#">pycity_scheduling v1.0.1 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">pycity_scheduling</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2020, Institute for Automation of Complex Power Systems (ACS), E.ON Energy Research Center (E.ON ERC), RWTH Aachen University.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 3.3.1.
    </div>
  </body>
</html>